Skip to main content
GET
/
api
/
v1
/
workspaces
/
{workspace_id}
Get Workspace
curl --request GET \
  --url https://api.example.com/api/v1/workspaces/{workspace_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "hired_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "status": "<string>",
  "settings": {},
  "metrics_cache": {},
  "last_active_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "hired_agent": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_type": "<string>",
    "display_name": "<string>",
    "status": "<string>",
    "tier": "<string>",
    "stripe_subscription_id": "<string>",
    "config": {},
    "hired_at": "2023-11-07T05:31:56Z",
    "paused_at": "2023-11-07T05:31:56Z",
    "cancelled_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "persona_name": "<string>"
  },
  "integration_credentials": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
hired_agent_id
string<uuid>
required
user_id
string<uuid>
required
name
string
required
status
string
required
settings
Settings · object
required
metrics_cache
Metrics Cache · object
required
last_active_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
hired_agent
HiredAgentResponse · object
integration_credentials
IntegrationStatusResponse · object[]